当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 76 篇帖子 ]  前往页数 1, 2, 3, 4, 5, 6  下一页
作者 内容
1 楼 
 文章标题 : [分享]Linux下几种QQ客户端的安装使用方法
帖子发表于 : 2006-10-28 2:53 

注册: 2005-10-08 20:22
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
本文适用于发行版Ubuntu 6.06 LTS ,其他发行版请做相应更改。

先show张图^_^ 四种QQ客户端界面对比,从左往右依次是:Gaim、LumaQQ、Cyclone、Eva
图片

一、Gaim

QQ和MSN都可用Gaim搞定,而且可以两个聊天系统整合在一个界面里,MSN缺省就可用,QQ需要装一个叫

openq的插件,Ubuntu Linux 6.06 LTS版带的Gaim是1.5.1cvs版,下载openq_0.3.2-2006_i386.deb。
OpenQ下载:http://dl.textwiki.org/software/openq_0.3.2-2006_i386.deb

安装很简单:

代码:
sudo dpkg -i openq_0.3.2-2006_i386.deb

安装成功,展开菜单 应用程序->internet->Gaim互联网通讯工具,添加帐户,如图所示



图片

登录成功后的聊天截图:

图片

Gaim的缺点:不支持QQ群,无法下载好友列表,我的QQ好友稍微有些多,找人不方便。发送有颜色的文字程序

会崩溃自动退出,另外openq_0.3.2-2006_i386这个包会影响到系统后来的正常更新。


二、LumaQQ

LumaQQ应当是linux中用的最广泛的QQ客户端。

我们计划安装最新的LumaQQ 2006(尚处于测试阶段,好久不见更新了),LumaQQ 2006 M2的三个发布版本

都是NO JRE的,LumaQQ的运行需要JRE 1.5以上版本支持。由于LumaQQ采用了SWT做为界面层基础,所以在非

Windows平台,需要确认有GTK 2的支持,所以我们要先安装配置好JAVA环境。
安装JAVA环境:

打开终端,执行以下命令,或使用《新立得软件管理器》,在其中分别搜索“sun-java5-jre“和“sun-安

装JAVA环境

代码:
     sudo apt-get install sun-java5-jre


设置当前默认的java解释器

代码:
      sudo update-alternatives --config java


执行后会出现类似如下的画面:

代码:
       There are 4 alternatives which provide `java'.

  Selection    Alternative

-----------------------------------------------

      1        /usr/bin/gij-wrapper-4.1

*+    2        /usr/lib/jvm/java-gcj/jre/bin/java

      3        /usr/lib/jvm/java-1.5.0-sun/jre/bin/java

      Press enter to keep the default[*], or type selection number:3


输入 有包含 "sun" 的行的前面的数字。如上面显示,则输入 3,然后回车确定。


下载LumaQQ

LumaQQ 2006 M2 for Linux x86 NO JRE, Download

http://www.flyzhy.org/web/download/2006 ... jre.tar.gz


LumaQQ 2006 M2 for Linux x86_64 NO JRE, Download

http://www.flyzhy.org/web/download/2006 ... jre.tar.gz


LumaQQ 2006 M2 for Linux PowerPC NO JRE, Download

http://www.flyzhy.org/web/download/2006 ... jre.tar.gz



你也可以选择已经稳定了的版本LumaQQ 2005

http://www.flyzhy.org/web/lumaqq/lumaqq2005.html

到上面的页面去选择下载,如果想方便下载解压后就可以使用,可以下载这个:LumaQQ 2005 初始安装包For

Linux带JRE http://www.flyzhy.org/web/download/2005 ... jre.tar.gz

安装LumaQQ:

代码:
 happy@happy-desktop:~$ cd Desktop/

happy@happy-desktop:~/Desktop$ ls

docs  lumaqq_2006M2-linux_gtk2_x86_no_jre.tar.gz  ubuop-0.07.4.tar.gz

happy@happy-desktop:~/Desktop$ sudo tar -xzvf lumaqq_2006M2-linux_gtk2_x86_no_jre.tar.gz -C /opt

happy@happy-desktop:~/Desktop$ sudo chmod -R 755 /opt/LumaQQ/

happy@happy-desktop:~/Desktop$ sudo gedit /usr/share/applications/LumaQQ.desktop


输入如下内容:

代码:
 [Desktop Entry]

Name=LumaQQ

Comment=QQ Client

Exec=/opt/LumaQQ/lumaqq

Icon=/opt/LumaQQ/QQ.png

Terminal=false

Type=Application

Categories=Application;Network;



保存编辑过的文件 安装完成后的快捷方式在(应用程序 -> Internat -> LumaQQ)

启动QQ,如图:


图片

2006版的已经支持QQ硬盘:

图片

图片


图片


图片



三、Cyclone

下载cyclone的ded包

http://dl.textwiki.org/software/cyclone ... 1_i386.deb

安装cyclone

代码:
sudo apt-get install libgtkmm-2.4-1c2a

sudo dpkg -i cyclone_0.1.53-1_i386.deb



直接在控制台下运行cyclone来启动cyclone。截图若干:

图片

图片


图片

四、Eva

Eva是一个为linux下的KDE桌面环境写的基于腾讯QQ聊天客户端协议的软件。
安装Eva很简单,只需要一个命令,
代码:
sudo apt-get install eva

但由于包依赖关系,安装eva要下载许多相关的软件包,解压后有占75M空间。
打开程序:应用程序 ->Internat -> Eva

图片

图片


图片


图片
从图中大家应当已经看到Eva默认是英文界面,不知道为何Ubuntu官方的包是英文的,不仅看着不爽,聊天时还

无法输入中文,但这个客户端本来是很棒的,运行比较快、可以传文件、可以截图等,这些功能是LumaQQ不具

备的,如果你还想用Eva,可以到http://www.linuxfans.org去下载源码包自己编译安装。



页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-10-28 3:01 

注册: 2005-10-08 20:22
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
算了,怎么排都排不齐...........


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-10-28 3:32 
头像

注册: 2005-10-21 16:57
帖子: 1383
送出感谢: 0 次
接收感谢: 0 次
我的EVA是自己编译的,好友上线时有声音,可是来信息时没声音,不知何故


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-10-28 7:19 
头像

注册: 2005-06-11 14:03
帖子: 6226
地址: 不明真相的群众
送出感谢: 0 次
接收感谢: 0 次
不错,加精


_________________
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-10-28 15:18 
头像

注册: 2006-04-12 20:05
帖子: 8495
地址: 杭州
送出感谢: 0 次
接收感谢: 8
呵呵,目前只用LumaQQ,但是怎么都没有更新了呢?


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-10-31 20:15 
头像

注册: 2006-07-08 14:07
帖子: 1771
送出感谢: 14
接收感谢: 1
还是Cyclone 搞定,被Gaim 搞得很晕,只启动gtalk


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2006-11-03 0:12 

注册: 2006-10-02 13:47
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
Gaim老是会出现这种问题,就是网络稍有点不好就会不断弹出发送包没发送成功,真郁闷


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2006-11-03 20:24 
头像

注册: 2006-08-30 20:54
帖子: 1216
地址: 廣州
送出感谢: 2
接收感谢: 1
我用EVA時發現經常有好友丢失的情况,我的好友總數200多個,有時數量正確,但有時上的時候總數卻减掉了幾十個左右,當然我沒仔細一個個去數,就是EVA上的總數顯示的,立刻用LumaQQ上去看到數目是對的,再轉EVA,還是少了,過了某段時間後,又會對上數,變來變去,有沒有人發生像我這様的情况,我好怕好友會丢失


页首
 用户资料  
 
9 楼 
 文章标题 : Re: [分享]Linux下几种QQ客户端的安装使用方法
帖子发表于 : 2006-11-04 13:35 

注册: 2006-10-28 22:17
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
traveller2 写道:
本文适用于发行版Ubuntu 6.06 LTS ,其他发行版请做相应更改。


我装的是Edgy版,装了好几次都没有成功。这是什么原因?这与版本有关系么?


页首
 用户资料  
 
10 楼 
 文章标题 : Re: [分享]Linux下几种QQ客户端的安装使用方法
帖子发表于 : 2006-11-04 13:51 

注册: 2006-10-28 22:17
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
shiosin 写道:
traveller2 写道:
本文适用于发行版Ubuntu 6.06 LTS ,其他发行版请做相应更改。


我装的是Edgy版,装了好几次都没有成功。这是什么原因?这与版本有关系么?


呵呵,搞定了。是因为没有设定默认的java解释器。


附件:
java.jpg
java.jpg [ 21.46 KiB | 被浏览 35582 次 ]

页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2006-11-07 20:26 

注册: 2005-08-16 14:59
帖子: 283
送出感谢: 0 次
接收感谢: 0 次
以前用过一阵子的EVA,那时装的是红旗,感觉上EVA是比较棒的,功能多,可惜不太稳定,EVA好像也没更新了吧。


页首
 用户资料  
 
12 楼 
 文章标题 : Re: [分享]Linux下几种QQ客户端的安装使用方法
帖子发表于 : 2006-11-08 23:02 

注册: 2006-11-04 9:13
帖子: 71
送出感谢: 0 次
接收感谢: 0 次
装JAVA环境

代码:
sudo apt-get install sun-java5-jre


出现这样的问题。

引用:

@ubuntu:~$ sudo apt-get install sun-java5-jre
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
sun-java5-jre 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 0B 的软件包。
解压缩后会消耗掉 0B 的额外空间。
正在设置 sun-java5-bin (1.5.0-08-0ubuntu1) ...
Error: could not find libjava.so
Error: could not find Java 2 Runtime Environment.
dpkg:处理 sun-java5-bin (--configure)时出错:
子进程·post-installation script·返回了错误号·2
在处理时有错误发生:
sun-java5-bin
E: Sub-process /usr/bin/dpkg returned an error code (1)



页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2006-11-09 10:08 

注册: 2006-11-08 10:06
帖子: 249
送出感谢: 0 次
接收感谢: 0 次
我装的是Edgy版,我在上面安装是这样的:

下载cyclone的ded包

http://dl.textwiki.org/software/cyclone ... 1_i386.deb

安装cyclone

代码:
sudo apt-get install libgtkmm-2.4-1c2a(成功)
下面安装的时候出错:
dpkg:处理 cyclone_0.1.53-1_i386.deb (--install)时出错:
无法访问打包文件: No such file or directory
在处理时有错误发生:
cyclone_0.1.53-1_i386.deb

后来我是双击deb包然后选择软件包安装的。


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2006-11-10 11:37 

注册: 2006-10-19 9:35
帖子: 100
送出感谢: 0 次
接收感谢: 0 次
还是用LumQQ比较好,我试了lz提到的另外几种方式都不好,不是掉线就是用不了


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2006-11-10 23:28 

注册: 2006-10-24 10:37
帖子: 207
送出感谢: 0 次
接收感谢: 0 次
非常感谢,按照你的方法我装好了LumaQQ,也可以正常使用了,但是还有一个小问题,起动了之后我一旦最小化之后就没有办法再打开了,点击通知区域的图标并不能弹出QQ界面,请问是怎么回事?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 76 篇帖子 ]  前往页数 1, 2, 3, 4, 5, 6  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译